## org.mortbay.http.handler
Class ExpiryHandler

    java.lang.Object
      |
      +--org.mortbay.http.handler.AbstractHttpHandler
            |
            +--org.mortbay.http.handler.ExpiryHandler

All Implemented Interfaces:
  HttpHandler, LifeCycle, java.io.Serializable

public class ExpiryHandler
extends AbstractHttpHandler

Handler that allows the default Expiry of all content to be set.

Version:
  $Id: ExpiryHandler.java,v 1.4.2.1 2004/01/17 00:38:53 gregwilkins Exp $
Author:
  Brett Sealey
See Also:
  Serialized Form

Constructor Summary
`ExpiryHandler()`

Method Summary
`void` `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)` Handle a request by pre-populating the Expires header with a a value that corresponds to now + ttl.
`void` `setTimeToLive(long ttl)` Set the default expiry time in seconds.

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpiryHandler

    public ExpiryHandler()

Method Detail

### setTimeToLive

    public void setTimeToLive(long ttl)

  Set the default expiry time in seconds.

  Parameters:
    `ttl` - The default time to live in seconds. If negative (the default) then all content will be set to expire 01Jan1970 by default.

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)
                throws HttpException,
                       java.io.IOException

  Handle a request by pre-populating the Expires header with a a value that corresponds to now + ttl. If ttl -s negative then HttpFields.__01Jan1970 is used. Settings made here can be overridden by subsequent handling of the request.

  Parameters:
    `pathInContext` - The context path
    `pathParams` - Path parameters such as encoded Session ID
    `request` - The HttpRequest request
    `response` - The HttpResponse response
    `HttpException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.